VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Pneumatic Robots : Sortieranlage"
   ClientHeight    =   5295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7545
   Icon            =   "PneuSort.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      Caption         =   "STARTen"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   480
      TabIndex        =   2
      Top             =   360
      Width           =   6615
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(PneuSort.frm)                                   Ulrich Mller 26.12.99
'                                                         Procida 400NT    VB6.0
' Pneumatische Sortieranlage : VB6 Adaption des LLWin Programms PneuSort.MDL
'                              der Pneumatic Robots
'
' Der jeweilige Status wird auf der Form angezeigt (lblStatus)
'
' Nutzung umFish.DLL
'
' ggf. den PortNamen in Form_Load anpassen (eingestellt : "COM1")
'
' ------------------------------------------------------------------------------

Option Explicit

' --- Modellkonstanten -----------------------

Const cvMitte = 3, cvLinks = 2, cvRechts = 1  ' --- MagnetVentile
Const ctSchieber = 2                          ' --- Taster
Const cmSchieber = 4                          ' --- Motor
Const cpSensor = 1                            ' --- Fototransistor



Private Sub FachLinks()

' --- Ablage in linken Kasten ---

  lblStatus = "in linkes Fach"
  SetMotor ft, cvLinks, ftiEin           ' --- Auswerfer nach links
  WaitForTime ft, 2000
  SetMotor ft, cvLinks, ftiAus
  WaitForTime ft, 1000
  SetMotor ft, cvMitte, ftiEin           ' --- Auswerfer wieder Mitte
  WaitForTime ft, 2000
  SetMotor ft, cvMitte, ftiAus
  
End Sub

Private Sub FachRechts()

' --- Ablage in rechnten Kasten ----

  lblStatus = "in rechtes Fach"
  SetMotor ft, cvRechts, ftiEin             ' --- Auswerfer nach rechts
  WaitForTime ft, 2000
  SetMotor ft, cvRechts, ftiAus
  WaitForTime ft, 1000
  SetMotor ft, cvMitte, ftiEin              ' --- Auswerfer wieder Mitte
  WaitForTime ft, 2000
  SetMotor ft, cvMitte, ftiAus
  
End Sub


Private Sub Init()

' --- Initialisierung -----------

  lblStatus = "Init luft"
  SetMotor ft, cvMitte, ftiEin                 ' --- Auswerfer Mitte
  WaitForTime ft, 2000
  SetMotor ft, cvMitte, ftiAus
  SetMotor ft, cmSchieber, ftiRechts           ' --- Schieber zurck
  WaitForInput ft, ctSchieber
  SetMotor ft, cmSchieber, ftiAus
  
End Sub

Private Sub Schieber()

' --- Ein Schieber Zyklus -------------

  lblStatus = "Teil vorschieben"
  SetMotor ft, cmSchieber, ftiRechts             ' --- Schieber vor
  WaitForTime ft, 1500                           '     kommt von Taster frei
  WaitForInput ft, ctSchieber                    '     Schieber zurck
  SetMotor ft, cmSchieber, ftiAus                '     am Taster
  
End Sub


Private Sub SortMain()

' --- Hauptprogramm, Schleife, die ber ft.NotHalt beendet wird (cmdAction) ---

  Init                                ' --- Auf Ausgangsstellung
  lblStatus = "Anlage gestartet"
  Schieber                            ' --- erstes Teil schieben
  Do                                  ' --- Schleife bis NotHalt
    If GetInput(ft, cpSensor) Then    ' --- Teil unter Sensor
      Schieber                        '     hell
      FachLinks                       '     ins linke Fach
    Else
      Schieber                        '     dunkel
      FachRechts                      '     ins rechte Fach
    End If
  Loop Until NotHalt
  
End Sub

Private Sub cmdAction_Click()

' --- Starten / Beenden der Trsteuerung ---

  If cmdAction.Caption = "START" Then       ' --- Start
    cmdEnde.Enabled = False                 '     um ein wildes Beenden des
    cmdAction.Caption = "HALT"              '     gesamten Programms zu verhindern
    NotHalt = False                      ' --- Endesteuerung
    SortMain                                ' --- Sortieren
  Else                                      ' --- Beenden
    NotHalt = True                       '     Ende einleiten
  End If
                                            ' --- Ende
  ClearMotors ft                            '     alle M-Ausgnge aus
  cmdEnde.Enabled = True                    '     ENDE wieder zulassen
  cmdAction.Caption = "START"               '     erneuten START zulassen
  lblStatus = "START/ENDE"
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()
    
' --- Programm Initialisierung ---

  If OpenInterface(ft, "COM1") = ftiFehler Then ' --- COM1 ggf. Anpassen --COM1 ---
    MsgBox "InterfaceProblem", vbExclamation + vbOKOnly, "PneuTuer"
    Unload Me
  End If
  
End Sub


Private Sub Form_Unload(Cancel As Integer)

' --- Aufrumen ---

  CloseInterface ft
  
End Sub


